# MatRestoreArrayF90

Restores a matrix array that has been accessed with MatGetArrayF90().

### Synopsis

    MatRestoreArrayF90(Mat x,{Scalar, pointer :: xx_v(:)},integer ierr)

Not collective

### Input Parameters

| x | - matrix
| xx_v | - the Fortran90 pointer to the array

### Output Parameter

ierr -error code

### Example of Usage

           PetscScalar, pointer xx_v(:)
           ....
           call MatGetArrayF90(x,xx_v,ierr)
           a = xx_v(3)
           call MatRestoreArrayF90(x,xx_v,ierr)

### Notes

Not yet supported for all F90 compilers

### See Also

MatGetArrayF90(), MatGetArray(), MatRestoreArray()

Level:advanced
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages